import { LogCallback, LogEntry } from 'winston';
import * as Transport from 'winston-transport';
import { GraylogTransportOptions } from '../interfaces/Logger';
export default class GraylogTransport extends Transport {
    private options;
    private graylogClient;
    constructor(options: GraylogTransportOptions);
    log(info: LogEntry, callback: LogCallback): void;
    close(): void;
}
